#!/bin/sh

# Usage: run -jar boot.jar [options] app.class app.args
# where : 
# @options
#  -cp classpath	: classpath for app.class
#  -verbose			: print classapth for app.class
#  -help			: help on usage
# @app.class	: class name of invokedClass, e.g., pku.as.Main.  
# This class must have a public static main method that can be loaded by JVM.
# @app.args : args passed to app.class

# use java system property PKUAS_HOME to indicate pkuas root directory. 
# this can be achieved by specifying -DPKUAS_HOME=/home/pkuas
# if this property not specified, boot.jar will use the parent directory of this 
# application as default PKUAS_HOME .

# Args for pku.as.Main
# -w : start java window console instead of standard output

CLASSPATH=${JAVA_HOME}/lib/tools.jar:../libs/jdom.jar

JAVA=${JAVA_HOME}/bin/java

#JOPTIONS="-Xmx512m -Xoss16m -Xrunhprof:cpu=samples"
#JOPTIONS="-Xmx1024m -Xoss128m"

${JAVA} ${JOPTIONS} -jar boot.jar -cp ${CLASSPATH} pku.as.Main $*
