@rem Usage: run -jar boot.jar [options] app.class app.args
@rem where : 
@rem @options
@rem  -cp classpath    : classpath for app.class
@rem  -verbose         : print classapth for app.class
@rem  -help            : help on usage
@rem @app.class : class name of app, e.g., pku.as.Main.  This class 
@rem must have a public static main method that can be loaded by JVM.
@rem @app.args : args passed to invokedClass

@rem use java system property PKUAS_HOME to indicate pkuas root directory. 
@rem this can be achieved by specifying -DPKUAS_HOME=/home/pkuas
@rem if this property not specified, boot.jar will use the parent directory 
@rem of this app as default PKUAS_HOME .

@rem app.args for pku.as.Main
@rem -w : start java window console instead of standard output
@rem use javaw instand of java to launch JVM when using -w option

@rem author youchao 2009
@rem author xiaoda 2009

@echo off

if ["%JAVA_HOME%"]==[""] goto setjava

if ["%PKUAS_HOME%"]==[""] goto setpkuas

set PKUAS_HOME="%PKUAS_HOME%"
set JAVA=%JAVA_HOME%/bin/java

set LIB_BOOTSTRAP_PATH=%PKUAS_HOME%\lib\bootstrap


set  PKUAS_CLASSPATH=%PKUAS_CLASSPATH%;%LIB_BOOTSTRAP_PATH%\felix-launcher.jar;%JAVA_HOME%\lib\tools.jar


set PKUAS_OPTS=%PKUAS_OPTS% -DPKUAS_HOME=%PKUAS_HOME%
set PKUAS_OPTS=%PKUAS_OPTS% -Dpkuas.felix.gui.enabled=false
set PKUAS_OPTS=%PKUAS_OPTS% -Dpkuas.felix.tui.enabled=true
set PKUAS_OPTS=%PKUAS_OPTS% -Dpkuas.cache.clean=true
set PKUAS_OPTS=%PKUAS_OPTS% -Dpkuas.developer=false
@rem set PKUAS_OPTS=%PKUAS_OPTS% -Dm2.repository=D:\repository


@rem echo %JAVA%

%JAVA% %PKUAS_OPTS% -cp %PKUAS_CLASSPATH% pku.as.launcher.felix.PKUAS


:setjava
echo JAVA_HOME not set.
goto :EOF

:setpkuas
echo PKUAS_HOME not set.
goto :EOF